* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 16px;
    font-family: 'Jost', sans-serif;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}


/* Navigation */
.navigation {
    width: 100%;
}

.nav__bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 19px 0px 19px 0px;
    max-width: 90%;
    margin: 0 auto;
}

.nav__list {
    display: flex;
}

.nav__list li a {
    margin-right: 50px;
    font-size: 1rem;
    color: black;
}

.nav__list li a:hover {
    color: black;
    text-decoration: underline;
}

.nav__list li:first-child a {
    color: rgba(94, 59, 238, 1);
}

.nav__list li:first-child a:hover {
    color: rgba(94, 59, 238, 1);
    text-decoration: underline;
}

.logo {
    width: 50px;
}

.bttn {
    font-size: 0.9rem;
    padding: 10px 23px;
    font-family: 'Jost', sans-serif;
}

.toggle-button {
    display: none;
}

.contact__bttn {
    color: rgba(94, 59, 238, 1);
    border: 1px solid rgba(94, 59, 238, 1);
    background-color: transparent;
    border-radius: 8px;
}

.contact__bttn:hover {
    background-color: rgba(94, 59, 238, 1);
    color: white;
    font-weight: 500;
}

/* Header */
.header__section {
    background-color: rgba(245, 252, 255, 1);
    margin-bottom: 50px;
}

.header__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 100px 0px 80px 0px;
    max-width: 90%;
    margin: 0 auto;
}

.header__content-text {
    max-width: 593px;
}

.header__content-text h1 {
    font-size: 2.5rem;
    margin-bottom: 20px;
}

.header__content-text p {
    font-size: 1rem;
    margin-bottom: 20px;
    width: 80%;
    text-align: justify;
}

.name {
    color:rgba(94, 59, 238, 1)
}

.hire__bttn {
    color: white;
    background-color: rgba(94, 59, 238, 1);
    border-radius: 8px;
    border: none;
    font-weight: 500;
}

.hire__bttn:hover {
    color: rgba(94, 59, 238, 1);
    border: 1px solid rgba(94, 59, 238, 1);
    background-color: transparent;
}

.header__image {
    width: 550px;
    padding: 10px 20px;
    border-radius: 8px;
}

/* About Me Section */

.aboutme__section {
    margin-bottom: 50px;
}

.my-image {
    width: 300px;
    height: 300px;
    border: 1px solid white;
    border-radius: 300px;
}

.aboutme__content {
    display: flex;
    gap: 100px;
    max-width: 90%;
    margin: 0 auto;
}

.my__bio {
    width: 80%;
}

.my__bio h2 {
    font-size: 1.7rem;
    margin-bottom: 20px;
    border-bottom: 2px solid rgba(94, 59, 238, 1);
}

.my__bio p {
    font-size: 0.9rem;
    line-height: 40px;
    text-align: justify;
}

/* Skills Section */
.skills__section {
    margin-top: 80px;
}

.skills__content {
    max-width: 90%;
    margin: 0 auto;
}

.skills__content h2 {
    text-align: center;
    font-size: 1.7rem;
    margin-bottom: 10px;
}

.skills__content p {
    text-align: center;
    color: rgba(94, 59, 238, 1);
    font-weight: 600;
    margin-bottom: 30px;
}

.features {
    display: flex;
    align-items: center;
    gap: 30px;
    padding-left: 80px;
}

.feature {
    width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    border-radius: 8px;
}

.feature img {
    width: 40px;
    padding-top: 10px;
}

.feature h5 {
    color: #0E5E6F;
    font-size: 1rem;
    font-weight: 600;
    margin-top: 10px;
    margin-bottom: 10px;
}

.feature p {
    color: black;
    font-size: 0.8rem;
    font-weight: normal;
}

/* Project Section */

.projects__section {
    background-color: rgba(245, 252, 255, 1);
    padding-top: 40px;
}

.projects__content {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    max-width: 90%;
    margin: 0 auto;
}

.project__details {    
    width: 30%;
    padding-left: 30px;
    padding-bottom: 30px;
}

.project__details img {
    width: 300px;
    height: 180px;
    border: 1.5px solid rgba(94, 59, 238, 1);
    border-radius: 10px;
    padding: 10px;
}

.project__details h5 {
    font-size: 1.1rem;
}

.projects__section h3, .testimonials__section h3 {
    text-align: center;
    font-size: 1.7rem;
    margin-bottom: 10px;
    margin-top: 10px;
}

.projects__section p {
    text-align: center;
    margin-bottom: 20px;
}

.repo__bttn {
    padding: 10px 15px;
    margin-top: 10px;
    background-color: rgba(94, 59, 238, 1);
    border-radius: 8px;
    border: none;
    color: white;
}

.live__bttn {
    padding: 10px 15px;
    margin-top: 10px;
    color: rgba(94, 59, 238, 1);
    border-radius: 8px;
    border: 1px solid rgba(94, 59, 238, 1);
    background-color: transparent;
}

/* Testimonials */
.testimonials__section {
    padding-top: 30px;
    width: 100%;
}

.testimonial__content {
    width: 70%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
}

.testimonial {
    border: 2px solid #006B6A;
    width: 30%;
    padding: 20px;
    border-radius: 8px;
}

.testimonial p{
    font-family: 'Jost', sans-serif;
    font-size: 0.7rem;
    line-height: 20px;
    text-align: justify;
    margin-bottom: 10px;
}

.reviewer__details h6 {
    font-size: 1rem;
    margin-bottom: 10px;
}


/* Contact Section */
.contact__section {
    width: 100%;
    margin-top: 60px;
}

.contact_container {
    width: 30%;
    margin: 0 auto;
}

.contact_container p{
    text-align: center;
    font-size: 0.9rem;
}

.contact_container h3{
    text-align: center;
    font-size: 1.7rem;
    margin-bottom: 10px;
    margin-top: 10px;
}

.name__section, .contact {
    display: flex;
    gap: 20px;
}

label {
    font-size: 0.8rem;
    
}

input {
    margin-top: 10px;
    margin-bottom: 10px;
    width: 200px;
    height: 35px;
    border: 1px solid rgba(94, 59, 238, 1);
    border-radius: 5px;
    font-size: 0.8rem;
    padding: 10px;
}

input:focus, textarea:focus {
    outline: none;
}

textarea {
    width: 420px;
    border: 1px solid rgba(94, 59, 238, 1);
    border-radius: 5px;
    font-size: 0.8rem;
    padding: 10px;
}

.checkbox {
    width: 15px;
    height: 15px;
    margin-top: 20px;
}

.submit_bttn {
    color: white;
    background-color: rgba(94, 59, 238, 1);
    border-radius: 8px;
    border: none;
    font-weight: 500;
    margin-top: 20px;
}

.submit_bttn:hover {
    color: rgba(94, 59, 238, 1);
    border: 1px solid rgba(94, 59, 238, 1);
    background-color: transparent;
}


/* Footer */
.footer {
    background-color: rgba(245, 252, 255, 1);
    padding: 60px;
    margin-top: 40px;
}

.footer__content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid black;
    padding-bottom: 20px;
    max-width: 90%;
    margin: 0 auto;
}

.footer__list {
    display: flex;
    gap: 30px;
}

.footer__list li a {
    font-size: 0.8rem;
    color: black;
}

.social__icons img {
    width: 20px;
    margin-top: 30px;
}

.footer__details {
    margin-top: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 90%;
    margin: 0 auto;
}

.footer__details p {
    font-size: 1rem;
    font-family: 'Jost', sans-serif;
  }

.footer__lists {
    display: flex;
    align-items: center;
    gap: 30px;
    margin-top: 20px;
}

.footer__lists li a{
    font-size: 0.8rem;
    color: black;
    display: flex;
    gap: 30px;
}



